# Class yii\helpers\HtmlPurifier

Inheritance | yii\helpers\HtmlPurifier » yii\helpers\BaseHtmlPurifier
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/helpers/HtmlPurifier.php

HtmlPurifier provides an ability to clean up HTML from any harmful code.

Basic usage is the following:

    echo HtmlPurifier::process($html);

If you want to configure it:

    echo HtmlPurifier::process($html, [
        'Attr.EnableID' => true,
    ]);

For more details please refer to HTMLPurifier documentation.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
process() | Passes markup through HTMLPurifier making it safe to output to end user. | yii\helpers\BaseHtmlPurifier

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
configure() | Allow the extended HtmlPurifier class to set some default config options. | yii\helpers\BaseHtmlPurifier